with GNATCOM.Dispinterface;

package MSHTML.DispHTMLSourceElement_Object is

   type DispHTMLSourceElement_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure setAttribute
     (This             : DispHTMLSourceElement_Type;
      strAttributeName : GNATCOM.Types.VARIANT;
      AttributeValue   : GNATCOM.Types.VARIANT;
      lFlags           : GNATCOM.Types.VARIANT
        := GNATCOM.Types.VARIANT_MISSING;
      Free             : Boolean := True);

   function getAttribute
     (This             : DispHTMLSourceElement_Type;
      strAttributeName : GNATCOM.Types.VARIANT;
      lFlags           : GNATCOM.Types.VARIANT
        := GNATCOM.Types.VARIANT_MISSING;
      Free             : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function removeAttribute
     (This             : DispHTMLSourceElement_Type;
      strAttributeName : GNATCOM.Types.VARIANT;
      lFlags           : GNATCOM.Types.VARIANT
        := GNATCOM.Types.VARIANT_MISSING;
      Free             : Boolean := True)
     return GNATCOM.Types.VARIANT;

   procedure Put_className
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_className
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_id
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_id
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   function Get_tagName
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   function Get_parentElement
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   function Get_style
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onhelp
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onhelp
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onclick
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onclick
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_ondblclick
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_ondblclick
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onkeydown
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onkeydown
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onkeyup
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onkeyup
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onkeypress
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onkeypress
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onmouseout
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onmouseout
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onmouseover
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onmouseover
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onmousemove
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onmousemove
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onmousedown
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onmousedown
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onmouseup
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onmouseup
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   function Get_document
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_title
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_title
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_language
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_language
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onselectstart
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onselectstart
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure scrollIntoView
     (This        : DispHTMLSourceElement_Type;
      varargStart : GNATCOM.Types.VARIANT
        := GNATCOM.Types.VARIANT_MISSING;
      Free        : Boolean := True);

   function contains
     (This   : DispHTMLSourceElement_Type;
      pChild : GNATCOM.Types.VARIANT;
      Free   : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function Get_sourceIndex
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   function Get_recordNumber
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_lang
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_lang
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   function Get_offsetLeft
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   function Get_offsetTop
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   function Get_offsetWidth
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   function Get_offsetHeight
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   function Get_offsetParent
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_innerHTML
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_innerHTML
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_innerText
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_innerText
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_outerHTML
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_outerHTML
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_outerText
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_outerText
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure insertAdjacentHTML
     (This  : DispHTMLSourceElement_Type;
      where : GNATCOM.Types.VARIANT;
      html  : GNATCOM.Types.VARIANT;
      Free  : Boolean := True);

   procedure insertAdjacentText
     (This  : DispHTMLSourceElement_Type;
      where : GNATCOM.Types.VARIANT;
      text  : GNATCOM.Types.VARIANT;
      Free  : Boolean := True);

   function Get_parentTextEdit
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   function Get_isTextEdit
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure click
     (This : DispHTMLSourceElement_Type);

   function Get_filters
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_ondragstart
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_ondragstart
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   function toString
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onbeforeupdate
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onbeforeupdate
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onafterupdate
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onafterupdate
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onerrorupdate
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onerrorupdate
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onrowexit
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onrowexit
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onrowenter
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onrowenter
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_ondatasetchanged
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_ondatasetchanged
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_ondataavailable
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_ondataavailable
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_ondatasetcomplete
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_ondatasetcomplete
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onfilterchange
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onfilterchange
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   function Get_children
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   function Get_all
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   function Get_scopeName
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure setCapture
     (This             : DispHTMLSourceElement_Type;
      containerCapture : GNATCOM.Types.VARIANT
        := GNATCOM.Types.VARIANT_MISSING;
      Free             : Boolean := True);

   procedure releaseCapture
     (This : DispHTMLSourceElement_Type);

   procedure Put_onlosecapture
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onlosecapture
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   function componentFromPoint
     (This : DispHTMLSourceElement_Type;
      x    : GNATCOM.Types.VARIANT;
      y    : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
     return GNATCOM.Types.VARIANT;

   procedure doScroll
     (This      : DispHTMLSourceElement_Type;
      component : GNATCOM.Types.VARIANT
        := GNATCOM.Types.VARIANT_MISSING;
      Free      : Boolean := True);

   procedure Put_onscroll
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onscroll
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_ondrag
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_ondrag
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_ondragend
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_ondragend
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_ondragenter
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_ondragenter
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_ondragover
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_ondragover
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_ondragleave
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_ondragleave
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_ondrop
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_ondrop
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onbeforecut
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onbeforecut
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_oncut
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_oncut
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onbeforecopy
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onbeforecopy
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_oncopy
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_oncopy
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onbeforepaste
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onbeforepaste
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onpaste
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onpaste
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   function Get_currentStyle
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onpropertychange
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onpropertychange
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   function getClientRects
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   function getBoundingClientRect
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure setExpression
     (This       : DispHTMLSourceElement_Type;
      propname   : GNATCOM.Types.VARIANT;
      expression : GNATCOM.Types.VARIANT;
      language   : GNATCOM.Types.VARIANT
        := GNATCOM.Types.VARIANT_MISSING;
      Free       : Boolean := True);

   function getExpression
     (This     : DispHTMLSourceElement_Type;
      propname : GNATCOM.Types.VARIANT;
      Free     : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function removeExpression
     (This     : DispHTMLSourceElement_Type;
      propname : GNATCOM.Types.VARIANT;
      Free     : Boolean := True)
     return GNATCOM.Types.VARIANT;

   procedure Put_tabIndex
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_tabIndex
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure focus
     (This : DispHTMLSourceElement_Type);

   procedure Put_accessKey
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_accessKey
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onblur
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onblur
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onfocus
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onfocus
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onresize
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onresize
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure blur
     (This : DispHTMLSourceElement_Type);

   procedure addFilter
     (This : DispHTMLSourceElement_Type;
      pUnk : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   procedure removeFilter
     (This : DispHTMLSourceElement_Type;
      pUnk : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_clientHeight
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   function Get_clientWidth
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   function Get_clientTop
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   function Get_clientLeft
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   function attachEvent
     (This  : DispHTMLSourceElement_Type;
      event : GNATCOM.Types.VARIANT;
      pdisp : GNATCOM.Types.VARIANT;
      Free  : Boolean := True)
     return GNATCOM.Types.VARIANT;

   procedure detachEvent
     (This  : DispHTMLSourceElement_Type;
      event : GNATCOM.Types.VARIANT;
      pdisp : GNATCOM.Types.VARIANT;
      Free  : Boolean := True);

   function Get_readyState
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onreadystatechange
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onreadystatechange
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onrowsdelete
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onrowsdelete
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onrowsinserted
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onrowsinserted
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_oncellchange
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_oncellchange
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_dir
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_dir
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   function createControlRange
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   function Get_scrollHeight
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   function Get_scrollWidth
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_scrollTop
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_scrollTop
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_scrollLeft
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_scrollLeft
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure clearAttributes
     (This : DispHTMLSourceElement_Type);

   procedure Put_oncontextmenu
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_oncontextmenu
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   function insertAdjacentElement
     (This            : DispHTMLSourceElement_Type;
      where           : GNATCOM.Types.VARIANT;
      insertedElement : GNATCOM.Types.VARIANT;
      Free            : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function applyElement
     (This  : DispHTMLSourceElement_Type;
      apply : GNATCOM.Types.VARIANT;
      where : GNATCOM.Types.VARIANT;
      Free  : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function getAdjacentText
     (This  : DispHTMLSourceElement_Type;
      where : GNATCOM.Types.VARIANT;
      Free  : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function replaceAdjacentText
     (This    : DispHTMLSourceElement_Type;
      where   : GNATCOM.Types.VARIANT;
      newText : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function Get_canHaveChildren
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   function addBehavior
     (This        : DispHTMLSourceElement_Type;
      bstrURL     : GNATCOM.Types.VARIANT;
      pvarFactory : GNATCOM.Types.VARIANT
        := GNATCOM.Types.VARIANT_MISSING;
      Free        : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function removeBehavior
     (This   : DispHTMLSourceElement_Type;
      cookie : GNATCOM.Types.VARIANT;
      Free   : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function Get_runtimeStyle
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   function Get_behaviorUrns
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_tagUrn
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_tagUrn
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onbeforeeditfocus
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onbeforeeditfocus
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   function Get_readyStateValue
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   function getElementsByTagName
     (This : DispHTMLSourceElement_Type;
      v    : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
     return GNATCOM.Types.VARIANT;

   procedure mergeAttributes
     (This      : DispHTMLSourceElement_Type;
      mergeThis : GNATCOM.Types.VARIANT;
      pvarFlags : GNATCOM.Types.VARIANT
        := GNATCOM.Types.VARIANT_MISSING;
      Free      : Boolean := True);

   function Get_isMultiLine
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   function Get_canHaveHTML
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onlayoutcomplete
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onlayoutcomplete
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onpage
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onpage
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_inflateBlock
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_inflateBlock
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onbeforedeactivate
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onbeforedeactivate
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure setActive
     (This : DispHTMLSourceElement_Type);

   procedure Put_contentEditable
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_contentEditable
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   function Get_isContentEditable
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_hideFocus
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_hideFocus
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_disabled
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_disabled
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   function Get_isDisabled
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onmove
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onmove
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_oncontrolselect
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_oncontrolselect
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   function FireEvent
     (This            : DispHTMLSourceElement_Type;
      bstrEventName   : GNATCOM.Types.VARIANT;
      pvarEventObject : GNATCOM.Types.VARIANT
        := GNATCOM.Types.VARIANT_MISSING;
      Free            : Boolean := True)
     return GNATCOM.Types.VARIANT;

   procedure Put_onresizestart
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onresizestart
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onresizeend
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onresizeend
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onmovestart
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onmovestart
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onmoveend
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onmoveend
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onmouseenter
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onmouseenter
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onmouseleave
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onmouseleave
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onactivate
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onactivate
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_ondeactivate
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_ondeactivate
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   function dragDrop
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   function Get_glyphMode
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onmousewheel
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onmousewheel
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure normalize
     (This : DispHTMLSourceElement_Type);

   function getAttributeNode
     (This     : DispHTMLSourceElement_Type;
      bstrName : GNATCOM.Types.VARIANT;
      Free     : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function setAttributeNode
     (This  : DispHTMLSourceElement_Type;
      pattr : GNATCOM.Types.VARIANT;
      Free  : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function removeAttributeNode
     (This  : DispHTMLSourceElement_Type;
      pattr : GNATCOM.Types.VARIANT;
      Free  : Boolean := True)
     return GNATCOM.Types.VARIANT;

   procedure Put_onbeforeactivate
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onbeforeactivate
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onfocusin
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onfocusin
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onfocusout
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onfocusout
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   function Get_uniqueNumber
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   function Get_uniqueID
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   function Get_nodeType
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   function Get_parentNode
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   function hasChildNodes
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   function Get_childNodes
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   function Get_attributes
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   function insertBefore
     (This     : DispHTMLSourceElement_Type;
      newChild : GNATCOM.Types.VARIANT;
      refChild : GNATCOM.Types.VARIANT
        := GNATCOM.Types.VARIANT_MISSING;
      Free     : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function removeChild
     (This     : DispHTMLSourceElement_Type;
      oldChild : GNATCOM.Types.VARIANT;
      Free     : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function replaceChild
     (This     : DispHTMLSourceElement_Type;
      newChild : GNATCOM.Types.VARIANT;
      oldChild : GNATCOM.Types.VARIANT;
      Free     : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function cloneNode
     (This  : DispHTMLSourceElement_Type;
      fDeep : GNATCOM.Types.VARIANT;
      Free  : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function removeNode
     (This  : DispHTMLSourceElement_Type;
      fDeep : GNATCOM.Types.VARIANT
        := GNATCOM.Types.VARIANT_MISSING;
      Free  : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function swapNode
     (This      : DispHTMLSourceElement_Type;
      otherNode : GNATCOM.Types.VARIANT;
      Free      : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function replaceNode
     (This        : DispHTMLSourceElement_Type;
      replacement : GNATCOM.Types.VARIANT;
      Free        : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function appendChild
     (This     : DispHTMLSourceElement_Type;
      newChild : GNATCOM.Types.VARIANT;
      Free     : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function Get_nodeName
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_nodeValue
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_nodeValue
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   function Get_firstChild
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   function Get_lastChild
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   function Get_previousSibling
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   function Get_nextSibling
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   function Get_ownerDocument
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_prefix
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_prefix
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   function Get_localName
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   function Get_namespaceURI
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_textContent
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_textContent
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   function isEqualNode
     (This      : DispHTMLSourceElement_Type;
      otherNode : GNATCOM.Types.VARIANT;
      Free      : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function lookupNamespaceURI
     (This       : DispHTMLSourceElement_Type;
      pvarPrefix : GNATCOM.Types.VARIANT;
      Free       : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function lookupPrefix
     (This             : DispHTMLSourceElement_Type;
      pvarNamespaceURI : GNATCOM.Types.VARIANT;
      Free             : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function isDefaultNamespace
     (This          : DispHTMLSourceElement_Type;
      pvarNamespace : GNATCOM.Types.VARIANT;
      Free          : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function ie9_appendChild
     (This     : DispHTMLSourceElement_Type;
      newChild : GNATCOM.Types.VARIANT;
      Free     : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function ie9_insertBefore
     (This     : DispHTMLSourceElement_Type;
      newChild : GNATCOM.Types.VARIANT;
      refChild : GNATCOM.Types.VARIANT
        := GNATCOM.Types.VARIANT_MISSING;
      Free     : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function ie9_removeChild
     (This     : DispHTMLSourceElement_Type;
      oldChild : GNATCOM.Types.VARIANT;
      Free     : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function ie9_replaceChild
     (This     : DispHTMLSourceElement_Type;
      newChild : GNATCOM.Types.VARIANT;
      oldChild : GNATCOM.Types.VARIANT;
      Free     : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function isSameNode
     (This      : DispHTMLSourceElement_Type;
      otherNode : GNATCOM.Types.VARIANT;
      Free      : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function compareDocumentPosition
     (This      : DispHTMLSourceElement_Type;
      otherNode : GNATCOM.Types.VARIANT;
      Free      : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function isSupported
     (This    : DispHTMLSourceElement_Type;
      feature : GNATCOM.Types.VARIANT;
      version : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
     return GNATCOM.Types.VARIANT;

   procedure Put_dataFld
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_dataFld
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_dataSrc
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_dataSrc
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_dataFormatAs
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_dataFormatAs
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   function ie8_getAttributeNode
     (This     : DispHTMLSourceElement_Type;
      bstrName : GNATCOM.Types.VARIANT;
      Free     : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function ie8_setAttributeNode
     (This  : DispHTMLSourceElement_Type;
      pattr : GNATCOM.Types.VARIANT;
      Free  : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function ie8_removeAttributeNode
     (This  : DispHTMLSourceElement_Type;
      pattr : GNATCOM.Types.VARIANT;
      Free  : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function hasAttribute
     (This : DispHTMLSourceElement_Type;
      name : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
     return GNATCOM.Types.VARIANT;

   procedure Put_role
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_role
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_ariaBusy
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_ariaBusy
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_ariaChecked
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_ariaChecked
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_ariaDisabled
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_ariaDisabled
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_ariaExpanded
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_ariaExpanded
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_ariaHaspopup
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_ariaHaspopup
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_ariaHidden
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_ariaHidden
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_ariaInvalid
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_ariaInvalid
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_ariaMultiselectable
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_ariaMultiselectable
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_ariaPressed
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_ariaPressed
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_ariaReadonly
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_ariaReadonly
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_ariaRequired
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_ariaRequired
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_ariaSecret
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_ariaSecret
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_ariaSelected
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_ariaSelected
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   function ie8_getAttribute
     (This             : DispHTMLSourceElement_Type;
      strAttributeName : GNATCOM.Types.VARIANT;
      Free             : Boolean := True)
     return GNATCOM.Types.VARIANT;

   procedure ie8_setAttribute
     (This             : DispHTMLSourceElement_Type;
      strAttributeName : GNATCOM.Types.VARIANT;
      AttributeValue   : GNATCOM.Types.VARIANT;
      Free             : Boolean := True);

   function ie8_removeAttribute
     (This             : DispHTMLSourceElement_Type;
      strAttributeName : GNATCOM.Types.VARIANT;
      Free             : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function Get_ie8_attributes
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_ariaValuenow
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_ariaValuenow
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_ariaPosinset
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_ariaPosinset
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_ariaSetsize
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_ariaSetsize
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_ariaLevel
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_ariaLevel
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_ariaValuemin
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_ariaValuemin
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_ariaValuemax
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_ariaValuemax
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_ariaControls
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_ariaControls
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_ariaDescribedby
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_ariaDescribedby
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_ariaFlowto
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_ariaFlowto
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_ariaLabelledby
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_ariaLabelledby
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_ariaActivedescendant
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_ariaActivedescendant
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_ariaOwns
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_ariaOwns
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   function hasAttributes
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_ariaLive
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_ariaLive
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_ariaRelevant
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_ariaRelevant
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   function getAttributeNS
     (This             : DispHTMLSourceElement_Type;
      pvarNS           : GNATCOM.Types.VARIANT;
      strAttributeName : GNATCOM.Types.VARIANT;
      Free             : Boolean := True)
     return GNATCOM.Types.VARIANT;

   procedure setAttributeNS
     (This               : DispHTMLSourceElement_Type;
      pvarNS             : GNATCOM.Types.VARIANT;
      strAttributeName   : GNATCOM.Types.VARIANT;
      pvarAttributeValue : GNATCOM.Types.VARIANT;
      Free               : Boolean := True);

   procedure removeAttributeNS
     (This             : DispHTMLSourceElement_Type;
      pvarNS           : GNATCOM.Types.VARIANT;
      strAttributeName : GNATCOM.Types.VARIANT;
      Free             : Boolean := True);

   function getAttributeNodeNS
     (This     : DispHTMLSourceElement_Type;
      pvarNS   : GNATCOM.Types.VARIANT;
      bstrName : GNATCOM.Types.VARIANT;
      Free     : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function setAttributeNodeNS
     (This  : DispHTMLSourceElement_Type;
      pattr : GNATCOM.Types.VARIANT;
      Free  : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function hasAttributeNS
     (This   : DispHTMLSourceElement_Type;
      pvarNS : GNATCOM.Types.VARIANT;
      name   : GNATCOM.Types.VARIANT;
      Free   : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function ie9_getAttribute
     (This             : DispHTMLSourceElement_Type;
      strAttributeName : GNATCOM.Types.VARIANT;
      Free             : Boolean := True)
     return GNATCOM.Types.VARIANT;

   procedure ie9_setAttribute
     (This               : DispHTMLSourceElement_Type;
      strAttributeName   : GNATCOM.Types.VARIANT;
      pvarAttributeValue : GNATCOM.Types.VARIANT;
      Free               : Boolean := True);

   procedure ie9_removeAttribute
     (This             : DispHTMLSourceElement_Type;
      strAttributeName : GNATCOM.Types.VARIANT;
      Free             : Boolean := True);

   function ie9_getAttributeNode
     (This             : DispHTMLSourceElement_Type;
      strAttributeName : GNATCOM.Types.VARIANT;
      Free             : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function ie9_setAttributeNode
     (This  : DispHTMLSourceElement_Type;
      pattr : GNATCOM.Types.VARIANT;
      Free  : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function ie9_removeAttributeNode
     (This  : DispHTMLSourceElement_Type;
      pattr : GNATCOM.Types.VARIANT;
      Free  : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function ie9_hasAttribute
     (This : DispHTMLSourceElement_Type;
      name : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function getElementsByTagNameNS
     (This          : DispHTMLSourceElement_Type;
      varNS         : GNATCOM.Types.VARIANT;
      bstrLocalName : GNATCOM.Types.VARIANT;
      Free          : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function Get_ie9_tagName
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   function Get_ie9_nodeName
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   function getElementsByClassName
     (This : DispHTMLSourceElement_Type;
      v    : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function msMatchesSelector
     (This : DispHTMLSourceElement_Type;
      v    : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
     return GNATCOM.Types.VARIANT;

   procedure Put_onabort
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onabort
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_oncanplay
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_oncanplay
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_oncanplaythrough
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_oncanplaythrough
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onchange
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onchange
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_ondurationchange
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_ondurationchange
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onemptied
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onemptied
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onended
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onended
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onerror
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onerror
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_oninput
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_oninput
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onload
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onload
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onloadeddata
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onloadeddata
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onloadedmetadata
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onloadedmetadata
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onloadstart
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onloadstart
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onpause
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onpause
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onplay
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onplay
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onplaying
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onplaying
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onprogress
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onprogress
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onratechange
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onratechange
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onreset
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onreset
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onseeked
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onseeked
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onseeking
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onseeking
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onselect
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onselect
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onstalled
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onstalled
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onsubmit
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onsubmit
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onsuspend
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onsuspend
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_ontimeupdate
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_ontimeupdate
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onvolumechange
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onvolumechange
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onwaiting
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onwaiting
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   function ie9_hasAttributes
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   function querySelector
     (This : DispHTMLSourceElement_Type;
      v    : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function querySelectorAll
     (This : DispHTMLSourceElement_Type;
      v    : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function Get_constructor
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onmspointerdown
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onmspointerdown
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onmspointermove
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onmspointermove
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onmspointerup
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onmspointerup
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onmspointerover
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onmspointerover
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onmspointerout
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onmspointerout
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onmspointercancel
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onmspointercancel
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onmspointerhover
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onmspointerhover
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onmslostpointercapture
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onmslostpointercapture
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onmsgotpointercapture
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onmsgotpointercapture
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onmsgesturestart
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onmsgesturestart
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onmsgesturechange
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onmsgesturechange
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onmsgestureend
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onmsgestureend
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onmsgesturehold
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onmsgesturehold
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onmsgesturetap
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onmsgesturetap
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onmsgesturedoubletap
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onmsgesturedoubletap
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onmsinertiastart
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onmsinertiastart
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure msSetPointerCapture
     (This      : DispHTMLSourceElement_Type;
      pointerId : GNATCOM.Types.VARIANT;
      Free      : Boolean := True);

   procedure msReleasePointerCapture
     (This      : DispHTMLSourceElement_Type;
      pointerId : GNATCOM.Types.VARIANT;
      Free      : Boolean := True);

   procedure Put_onmstransitionstart
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onmstransitionstart
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onmstransitionend
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onmstransitionend
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onmsanimationstart
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onmsanimationstart
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onmsanimationend
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onmsanimationend
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onmsanimationiteration
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onmsanimationiteration
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_oninvalid
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_oninvalid
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_xmsAcceleratorKey
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_xmsAcceleratorKey
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_spellcheck
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_spellcheck
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onmsmanipulationstatechanged
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onmsmanipulationstatechanged
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_oncuechange
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_oncuechange
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_src
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_src
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_type
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_type
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_media
     (This : DispHTMLSourceElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_media
     (This : DispHTMLSourceElement_Type)
     return GNATCOM.Types.VARIANT;

end MSHTML.DispHTMLSourceElement_Object;

